<?php
/*
 *   This file is part of NOALYSS.
 *
 *   NOALYSS is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   NOALYSS is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with NOALYSS; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
// Copyright Author Dany De Bontridder danydb@aevalys.eu 1/11/23
/*! 
 * \file
 * \brief add form_detail , called from Form_Detail_MTable
 * \see Form_Detail_MTable
 */
global $g_user;
if ($g_user->check_module("FDEF") == 0) {return;}
try {
    $id=$http->request("p_id");
    $form_id=$http->request("form_id","number");
    $action=$http->request("action");
    $ctl=$http->request("ctl");
} catch (\Exception $e) {
    echo $e->getMessage();
    throw $e;
}
$form_detail=\Noalyss\Forms\Form_Detail_MTable::build($id,$form_id);
$form_detail->set_object_name($ctl);

switch ($action)
{
    case 'input':
        $form_detail->send_header();
        echo $form_detail->ajax_input()->saveXML();
        break;
    case 'save':
        $form_detail->send_header();
        echo $form_detail->ajax_save()->saveXML();
        break;
    case "delete":
        $form_detail->send_header();
        echo $form_detail->ajax_delete()->saveXML();
        break;
    default:
        throw new \Exception("invalid action [$action]");
}
