<?php
namespace Noalyss\Forms;
/*
 *   This file is part of NOALYSS.
 *
 *   NOALYSS is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   NOALYSS is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with NOALYSS; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
// Copyright Author Dany De Bontridder danydb@aevalys.eu 3/11/23

/*! 
 * \file
 * \brief validate the data received and allow to be copied into  a card
 */


/*!
 * \class
 * \brief validate the data received and allow to be copied into  a card
 */

class Data_Validate
{
    const SQL="select dr_id,dr_from,dr_status,to_char(dr_time,'DD.MM.YY HH24:MI') str_time,fiche_id
        from noalyss_form.data_received_raw  
            %s        
        order by dr_id desc";

    public function get_received()
    {
        global $cn;
        $sql_hdl=$cn->exec_sql(sprintf(Data_Validate::SQL,' where dr_status is null '));
        return $sql_hdl;

    }

    public function get_all()
    {
        global $cn;
        $sql_hdl=$cn->exec_sql(sprintf(Data_Validate::SQL,'  '));
        return $sql_hdl;

    }
    /**
     * @brief display a list of just received request
     * @return void
     * @throws \Exception
     */
    public function list_request($p_type)
    {
        global $g_dir_nform;
        switch ($p_type) {
            case 'received':
                $sql_hdl=$this->get_received();
                break;
            case 'all':
                $sql_hdl=$this->get_all();
                break;
            default:
                throw new \Exception("DV59: invalide p_type [$p_type]");
        }

        require $g_dir_nform."/template/data_validate-list-request.php";

        
    }
}