<div class="content">
    <?php
    /*
     *   This file is part of NOALYSS.
     *
     *   NOALYSS is free software; you can redistribute it and/or modify
     *   it under the terms of the GNU General Public License as published by
     *   the Free Software Foundation; either version 2 of the License, or
     *   (at your option) any later version.
     *
     *   NOALYSS is distributed in the hope that it will be useful,
     *   but WITHOUT ANY WARRANTY; without even the implied warranty of
     *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
     *   GNU General Public License for more details.
     *
     *   You should have received a copy of the GNU General Public License
     *   along with NOALYSS; if not, write to the Free Software
     *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
    */
    // Copyright Author Dany De Bontridder danydb@aevalys.eu 31/10/23
    /*!
     * \file
     * \brief Create and define FORM that can be received from Internet
     */
    /////////////////////////////////////////////////////////////////////////////////////////////
    /// show the requested  form or the list of forms
    /////////////////////////////////////////////////////////////////////////////////////////////
    require_once 'nform_constant.php';
    $form_id = $g_http->request("form_id", "string", 0);
    $new=$g_http->post("new", "number", 0) ;
    //-------------------------------------------------------------------------------
    // Add new form
    if ($new == 1) {
        $form = new \Noalyss\Forms\Form(-1);
        try {
            $form->save();
            $form_id = $form->getFormId();
        } catch (\Exception $e) {
            echo_warning($e->getMessage());

        }
    }
    $delete=$g_http->post("delete","string",0);
    if ( $delete > 0 ) {
        $form=new \Noalyss\Forms\Form_SQL($cn,$delete);
        $form->delete();
        $form_id=0;
    }

    if ($form_id == 0) {

        ///Display a list of FORM
        //----------------------------------------------------------------------
        \Noalyss\Forms\Form::display_list();
        echo \HtmlInput::button_anchor("Ajout", "do.php?" . http_build_query(["gDossier" => $gDossier, "ac" => $g_access
                , 'plugin_code' => $g_plugin, 'form_id' => -1]));
    } elseif ($form_id > 0 ) {
        if (!isset($_POST['save']) || $new == 1) {
            Noalyss\Forms\Form::form($form_id);
        } else {
            $form = new \Noalyss\Forms\Form($form_id);
            try {
                $form->save();
                \Noalyss\Forms\Form::display_list();

                echo \HtmlInput::button_anchor("Ajout", "do.php?" . http_build_query(["gDossier" => $gDossier, "ac" => $g_access
                        , 'plugin_code' => $g_plugin, 'form_id' => -1]));

            } catch (\Exception $e) {
                echo_warning($e->getMessage());
            }
        }

    } elseif ($form_id == -1) {


        ///Add a new FORM :
        try {

            Noalyss\Forms\Form::form($form_id);
        } catch (\Exception $e) {
            echo_error($e->getMessage());
        }
    }

    ?>

</div>